FunctionResolver (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.functions

## Class FunctionResolver

- java.lang.Object
- - org.apache.cassandra.cql3.functions.FunctionResolver

-     public final class FunctionResolver
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Function` | `get(java.lang.String keyspace, FunctionName name, java.util.List<? extends AssignmentTestable> providedArgs, java.lang.String receiverKs, java.lang.String receiverCf, AbstractType<?> receiverType)`
    `static ColumnSpecification` | `makeArgSpec(java.lang.String receiverKs, java.lang.String receiverCf, Function fun, int i)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeArgSpec

          public static ColumnSpecification makeArgSpec(java.lang.String receiverKs,
                                                        java.lang.String receiverCf,
                                                        Function fun,
                                                        int i)

    - #### get

          public static Function get(java.lang.String keyspace,
                                     FunctionName name,
                                     java.util.List<? extends AssignmentTestable> providedArgs,
                                     java.lang.String receiverKs,
                                     java.lang.String receiverCf,
                                     AbstractType<?> receiverType)
                              throws InvalidRequestException

      Parameters:
        `keyspace` - the current keyspace
        `name` - the name of the function
        `providedArgs` - the arguments provided for the function call
        `receiverKs` - the receiver's keyspace
        `receiverCf` - the receiver's table
        `receiverType` - if the receiver type is known (during inserts, for example), this should be the type of the receiver
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation